Update a Profile

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}

Path parameters

  • profile_id string Required

    id of the profile

application/json

Body

  • address_1 string
  • address_2 string
  • city string
  • country string
  • email string
  • fax string
  • is_active boolean
  • max_page number
  • max_user number
  • name string
  • phone string
  • state string
  • time_zone string
  • zip string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated profile id

PUT /profiles/{profile_id}
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"address_1":"13665 Dulles Technology Dr., Suite 110","address_2":"string","city":"Herndon","country":"USA","email":"support@iformbuilder.com","fax":"string","is_active":true,"max_page":100,"max_user":10,"name":"iFormBuilder","phone":"1-866-ZERION-1","state":"VA","time_zone":"string","zip":"20171"}'
Request examples
{
  "address_1": "13665 Dulles Technology Dr., Suite 110",
  "address_2": "string",
  "city": "Herndon",
  "country": "USA",
  "email": "support@iformbuilder.com",
  "fax": "string",
  "is_active": true,
  "max_page": 100,
  "max_user": 10,
  "name": "iFormBuilder",
  "phone": "1-866-ZERION-1",
  "state": "VA",
  "time_zone": "string",
  "zip": "20171"
}
Response examples (200)
{
  "id": 161521
}